### Method

# Cogl MatrixEntry ref

#### Declaration [src]

    CoglMatrixEntry*
    cogl_matrix_entry_ref (
      CoglMatrixEntry* entry
    )

#### Description [src]

Takes a reference on the given `entry` to ensure the `entry` stays alive and remains valid. When you are finished with the `entry` then you should call cogl_matrix_entry_unref().

#### Return value

Type: `CoglMatrixEntry`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.